org.eclipse.viatra.query.tooling.generator.model

## Class GeneratorModelRuntimeModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - org.eclipse.viatra.query.tooling.generator.model.AbstractGeneratorModelRuntimeModule
        - - org.eclipse.viatra.query.tooling.generator.model.GeneratorModelRuntimeModule

- All Implemented Interfaces:
    com.google.inject.Module

      public class GeneratorModelRuntimeModule
      extends AbstractGeneratorModelRuntimeModule

  Use this class to register components to be used at runtime / without the Equinox extension registry.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.tooling.generator.model.AbstractGeneratorModelRuntimeModule

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorModelRuntimeModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends org.eclipse.xtext.serializer.tokens.ICrossReferenceSerializer>` | `bindICrossReferenceSerializer()`
    `java.lang.Class<? extends org.eclipse.xtext.linking.ILinkingService>` | `bindILinkingService()`

    - ### Methods inherited from class org.eclipse.viatra.query.tooling.generator.model.AbstractGeneratorModelRuntimeModule

      `bindClassLoaderToInstance, bindGeneratorModelJavaValidator, bindIAntlrTokenFileProvider, bindIFormatter, bindIGlobalScopeProvider, bindIGrammarAccess, bindIParser, bindIQualifiedNameProvider, bindIScopeProvider, bindISemanticSequencer, bindISerializer, bindISyntacticSequencer, bindITokenDefProvider, bindITokenToStringConverter, bindLexer, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIScopeProviderDelegate, configureLanguageName, configureRuntimeLexer, provideInternalGeneratorModelLexer`

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIContainer$Manager, bindIFragmentProvider, bindILinker, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindIValueConverterService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptions, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, configureSerializerIScopeProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratorModelRuntimeModule

          public GeneratorModelRuntimeModule()

  - ### Method Detail

    - #### bindILinkingService

          public java.lang.Class<? extends org.eclipse.xtext.linking.ILinkingService> bindILinkingService()

      Overrides:
        `bindILinkingService` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindICrossReferenceSerializer

          public java.lang.Class<? extends org.eclipse.xtext.serializer.tokens.ICrossReferenceSerializer> bindICrossReferenceSerializer()